void csvroot() {

TFile *f = new TFile("basic.root", "RECREATE");


TNtuple *test_bench = new TNtuple("test_bench", "Raw Data", "X:Y:Z:D");


      test_bench->ReadFile("IDD_all_0T_100Mp.csv");
     // test_bench->Draw("D:Z", "X==3 && Y==3");
      test_bench->Print();

      // values to be extracted from tuple
      Int_t X_value, Y_value, Z_value;      
      Float_t D_value;      

      TLeaf *l_Xvalue =  test_bench->GetLeaf("X");
      TLeaf *l_Yvalue =  test_bench->GetLeaf("Y");
      TLeaf *l_Zvalue =  test_bench->GetLeaf("Z");
      TLeaf *l_Dvalue =  test_bench->GetLeaf("D");

    
      cout<<X_value<<endl;
      cout<<Y_value<<endl;
 
      Int_t nentries = test_bench->GetEntries();        // number of entries 
    
    
      TNtuple *Z_D = new TNtuple("Z_D", "Processed Data", "Z:D");
    
       
      for(Int_t i=0; i<nentries;i++)    
      {
         l_Xvalue->GetBranch()->GetEntry(i); 
         l_Yvalue->GetBranch()->GetEntry(i);
         l_Zvalue->GetBranch()->GetEntry(i); 
         l_Dvalue->GetBranch()->GetEntry(i);
         
         X_value = l_Xvalue->GetValue();
         Y_value = l_Yvalue->GetValue();
         Z_value = l_Zvalue->GetValue();
         D_value = l_Dvalue->GetValue();
         

          if( X_value == 3 && Y_value== 3)
          {   

           Z_D->Fill(Z_value,D_value);          
 
          }
      
       }
      Z_D->Draw("D:Z");  
      Z_D->Print();  
      Z_D->Write();


      f->Write();     
      f->Close();
}

void main(){


  csvroot();

}
